/* bits/termios.h: Terminal control definitions. */

#ifndef _BITS_TERMIOS_H
#define _BITS_TERMIOS_H

typedef long tcflag_t;

// VERY incomplete termios structure.
struct termios
{
    tcflag_t c_lflag;
};

struct winsize
{
    u16 ws_row;
    u16 ws_col;
    u16 ws_xpixel;
    u16 ws_ypixel;
};

// Values for c_lflag.
#define ECHO 1
#define TOSTOP 2

// termios ioctl() requests.
#define TCGETS 0
#define TCSETS 1
#define TIOCSPGRP 2
#define TIOCGPGRP 3
#define TIOCGWINSZ 4

#endif
